AWS
probe Incidents

# has_incident_been_opened

Has any incident been opened?

Run it now
View details

Type | probe
Module | chaosaws.incidents.probes
Name | has_incident_been_opened
Return | boolean

Usage

JSON

    {
      "name": "has-incident-been-opened",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.incidents.probes",
        "func": "has_incident_been_opened"
      }
    }

YAML

    name: has-incident-been-opened
    provider:
      func: has_incident_been_opened
      module: chaosaws.incidents.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
impact | integer | 1 | No | Impact | Filter by this impact level. 1 is the highest and 5 is the lowest impact
created_in_the_last | string | 3 minutes | No | Created in the Last | Created after the start of the window. 3 minutes, 2 days…
created_by | string |  | No | Created By | ARN of the incident creator. Useful to filter to a specific role

Signature

    def has_incident_been_opened(
            impact: int = 1,
            created_in_the_last: Union[str, float] = '3 minutes',
            created_by: Optional[str] = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  probe Incidents

  ## `get_resolved_incidents`

  List resolved incidents
- AWS
  probe Incidents

  ## `has_incident_been_resolved`

  Has any incident been resolved?
- AWS
  probe Incidents

  ## `get_resolved_incident_items`

  Retrieve the list of items related to the most recent resolved incident